using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Frilenseri
{
    class Program
    {
        static void Main(string[] args)
        {
            int Broj = int.Parse(Console.ReadLine());
            int[] Plate = new int[Broj];
            decimal[] Porezi = new decimal[Broj];
            for (int i = 0; i < Broj; i++)
            {
                var line = Console.ReadLine().Split(' ');
                Plate[i] = int.Parse(line[0]);
                Porezi[i] = decimal.Parse(line[1]);
            }
            decimal Max = 0;
            for (int i = 0; i < Broj; i++)
            {
                decimal zbir = 0;
                for (int j = 0; j < Broj; j++) if (Porezi[i] <= Porezi[j]) zbir += Porezi[i] * Plate[j] / 100;
                if (zbir > Max) Max = zbir;
            }
            Console.WriteLine(Max);
        }
    }
}